<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\SaltacodaOrdine;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('saltacoda_riga_ordine', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('saltacoda_ordine_id')->unsigned()->nullable();
            $table->bigInteger('piatto_id')->unsigned()->nullable();
            $table->integer('quantita')->default(1);
            $table->decimal('prezzo', 10, 2)->nullable();
            $table->string('note')->nullable();
            $table->string('stato')->nullable()->default(SaltacodaOrdine::PRE_ORDINE);
            $table->timestamps();
        });

        Schema::table('saltacoda_riga_ordine', function (Blueprint $table) {
            $table->foreign('saltacoda_ordine_id')->references('id')->on('saltacoda_ordine')->onDelete('cascade');
            $table->foreign('piatto_id')->references('id')->on('piatto')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
